Bug 180561

Summary: [MAINTAINER] net-mgmt/netdisco-mibs: update to 1.4
Product: Ports & Packages Reporter: geoffroy desvernay <dgeo>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
netdisco-mibs-1.4.patch none

Description geoffroy desvernay 2013-07-14 23:20:00 UTC
- Update to 1.4
  http://sourceforge.net/p/netdisco/mibs/ci/325b9ea59f5e7314f4eb77a2f804492c789a8ce6/log/?path=
  (adds alcatel and d-link mibs)
- remove mkindex script, now (re-)embedded upstream

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: SVN)
Comment 1 Martin Wilke freebsd_committer 2013-07-15 15:39:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-07-16 06:46:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-16 06:46:45 UTC
Author: miwi
Date: Tue Jul 16 05:46:30 2013
New Revision: 323093
URL: http://svnweb.freebsd.org/changeset/ports/323093

Log:
  - Update to 1.4
  
  PR:		180561
  Submitted by:	maintainer

Modified:
  head/net-mgmt/netdisco-mibs/Makefile
  head/net-mgmt/netdisco-mibs/bsd.port.netdisco.mk   (contents, props changed)
  head/net-mgmt/netdisco-mibs/distinfo   (contents, props changed)
  head/net-mgmt/netdisco-mibs/files/mkindex   (contents, props changed)
  head/net-mgmt/netdisco-mibs/pkg-plist   (contents, props changed)

Modified: head/net-mgmt/netdisco-mibs/Makefile
==============================================================================
--- head/net-mgmt/netdisco-mibs/Makefile	Tue Jul 16 05:45:38 2013	(r323092)
+++ head/net-mgmt/netdisco-mibs/Makefile	Tue Jul 16 05:46:30 2013	(r323093)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	netdisco-mibs
-PORTVERSION=	1.3
+PORTVERSION=	1.4
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/netdisco/netdisco-mibs/${PORTVERSION}
 
@@ -16,7 +16,6 @@ NO_BUILD=	yes
 do-install:
 	${MKDIR} ${DATADIR}
 	(cd ${WRKSRC} && ${COPYTREE_SHARE} \* ${DATADIR})
-	${INSTALL_SCRIPT} ${FILESDIR}/mkindex ${DATADIR}
 .	for mibdir in ${MIBDIRS}
 		(cd ${DATADIR}/${mibdir} && ${GREP} 'DEFINITIONS ::= BEGIN' *.* | ${SED} 's/\(.*\..*\):[[:space:]]*\(.*\) DEFINITIONS.*$$/\2 \1/' > .index)
 .	endfor

Modified: head/net-mgmt/netdisco-mibs/bsd.port.netdisco.mk
==============================================================================
--- head/net-mgmt/netdisco-mibs/bsd.port.netdisco.mk	Tue Jul 16 05:45:38 2013	(r323092)
+++ head/net-mgmt/netdisco-mibs/bsd.port.netdisco.mk	Tue Jul 16 05:46:30 2013	(r323093)
@@ -1,4 +1,5 @@
 MIBDIRS=	allied \
+		alcatel \
 		arista \
 		aruba \
 		asante \

Modified: head/net-mgmt/netdisco-mibs/distinfo
==============================================================================
--- head/net-mgmt/netdisco-mibs/distinfo	Tue Jul 16 05:45:38 2013	(r323092)
+++ head/net-mgmt/netdisco-mibs/distinfo	Tue Jul 16 05:46:30 2013	(r323093)
@@ -1,2 +1,2 @@
-SHA256 (netdisco-mibs-1.3.tar.gz) = cff0e1d047d2073b577d252e756f7e97574f8fb2ee674e4ce5a956cbb6572691
-SIZE (netdisco-mibs-1.3.tar.gz) = 18142460
+SHA256 (netdisco-mibs-1.4.tar.gz) = 45f040525a9c17d02cdd93bd9588d371ef9ddbb40189db6621ba35f775d7932f
+SIZE (netdisco-mibs-1.4.tar.gz) = 19359305

Modified: head/net-mgmt/netdisco-mibs/files/mkindex
==============================================================================
--- head/net-mgmt/netdisco-mibs/files/mkindex	Tue Jul 16 05:45:38 2013	(r323092)
+++ head/net-mgmt/netdisco-mibs/files/mkindex	Tue Jul 16 05:46:30 2013	(r323093)
@@ -1,27 +0,0 @@
-#!/bin/sh
-# mkindex - Makes index of MIBS
-# $Id$
-FILE=mib_index.txt
-export LC_ALL=C
-
-echo "Creating $FILE"
-
-echo "MIB Index" > $FILE
-
-# refresh index files
-for d in `find -L . -mindepth 1 -type d -not -name CVS | grep -v .git | sort`; do
-    snmptranslate -M$d sysName > /dev/null 2>&1
-done
-
-# sort contents of index files
-for i in `find -L . -mindepth 1 -type f -name .index`; do
-    sort -dfs -o $i $i
-done
-
-# Add contents of each .index to our index
-for f in `find -L . -name .index | sort`; do
-    echo "" >> $FILE
-    echo $f >> $FILE
-    cat $f  >> $FILE
-    echo "" >> $FILE
-done

Modified: head/net-mgmt/netdisco-mibs/pkg-plist
==============================================================================
--- head/net-mgmt/netdisco-mibs/pkg-plist	Tue Jul 16 05:45:38 2013	(r323092)
+++ head/net-mgmt/netdisco-mibs/pkg-plist	Tue Jul 16 05:46:30 2013	(r323093)
@@ -204,6 +204,98 @@
 %%DATADIR%%/allied/atswtch2.mib
 %%DATADIR%%/allied/ati-mib.mib
 %%DATADIR%%/allied/.index
+%%DATADIR%%/alcatel
+%%DATADIR%%/alcatel/alcatelind1igmp.mib
+%%DATADIR%%/alcatel/alcatelind1eoam.mib
+%%DATADIR%%/alcatel/alcatelind1vrrp.mib
+%%DATADIR%%/alcatel/alcatelind1bfd.mib
+%%DATADIR%%/alcatel/alcatelind1ns.mib
+%%DATADIR%%/alcatel/alcatelind1ntp.mib
+%%DATADIR%%/alcatel/timetra-sap-mib.mib
+%%DATADIR%%/alcatel/alcatelind1tpdevices.mib
+%%DATADIR%%/alcatel/alcatelind1policy.mib
+%%DATADIR%%/alcatel/alcatelind1sessionmgr.mib
+%%DATADIR%%/alcatel/alcatelind1vlanstacking.mib
+%%DATADIR%%/alcatel/timetra-qos-mib.mib
+%%DATADIR%%/alcatel/alcatel-ind1-dhcp-srv-mib.mib
+%%DATADIR%%/alcatel/alcatelind1lps.mib
+%%DATADIR%%/alcatel/alcatelind1health.mib
+%%DATADIR%%/alcatel/defs
+%%DATADIR%%/alcatel/alcatelind1ospf.mib
+%%DATADIR%%/alcatel/alcatel-static-frr-mib.mib
+%%DATADIR%%/alcatel/alcatelind1servicemgr.mib
+%%DATADIR%%/alcatel/timetra-global-mib.mib
+%%DATADIR%%/alcatel/alcatelind1macserver.mib
+%%DATADIR%%/alcatel/alcatelind1vlanmanager.mib
+%%DATADIR%%/alcatel/alcatelind1partitionedmgr.mib
+%%DATADIR%%/alcatel/alcatelind1vlanstp.mib
+%%DATADIR%%/alcatel/alcatelind1ssh.mib
+%%DATADIR%%/alcatel/alcatelind1portmapping.mib
+%%DATADIR%%/alcatel/alcatelind1dot1x.mib
+%%DATADIR%%/alcatel/alcatelind1rip.mib
+%%DATADIR%%/alcatel/alcatelind1interswitchprotocol.mib
+%%DATADIR%%/alcatel/alcatelind1wccp.mib
+%%DATADIR%%/alcatel/timetra-chassis-mib.mib
+%%DATADIR%%/alcatel/alcatelind1ip.mib
+%%DATADIR%%/alcatel/alcatelind1slb.mib
+%%DATADIR%%/alcatel/alcatelind1pim.mib
+%%DATADIR%%/alcatel/alcatelind1gvrp.mib
+%%DATADIR%%/alcatel/alcatelind1groupmobility.mib
+%%DATADIR%%/alcatel/alcatelind1ipms.mib
+%%DATADIR%%/alcatel/timetra-sdp-mib.mib
+%%DATADIR%%/alcatel/alcatelind1qos.mib
+%%DATADIR%%/alcatel/alcatel-ind1-lbd-mib.mib
+%%DATADIR%%/alcatel/alcatel-ind1-dot3-oam-mib.mib
+%%DATADIR%%/alcatel/alcatelind1lag.mib
+%%DATADIR%%/alcatel/timetra-tc-mib.mib
+%%DATADIR%%/alcatel/alcatelind1inlinepowerethernet.mib
+%%DATADIR%%/alcatel/alcatelind1port.mib
+%%DATADIR%%/alcatel/alcatelind1chassis.mib
+%%DATADIR%%/alcatel/alcatelind1bgp.mib
+%%DATADIR%%/alcatel/timetra-ldp-mib.mib
+%%DATADIR%%/alcatel/alcatelind1iprm.mib
+%%DATADIR%%/alcatel/alcatelind1mld.mib
+%%DATADIR%%/alcatel/alcatelind1lldp.mib
+%%DATADIR%%/alcatel/alcatelind1erp.mib
+%%DATADIR%%/alcatel/alcatelind1virtualrouter.mib
+%%DATADIR%%/alcatel/alcatel-ind1-lldp-med-mib.mib
+%%DATADIR%%/alcatel/alcatelind1trapmgr.mib
+%%DATADIR%%/alcatel/timetra-serv-mib.mib
+%%DATADIR%%/alcatel/alcatel-ind1-dhl-mib.mib
+%%DATADIR%%/alcatel/timetra-filter-mib.mib
+%%DATADIR%%/alcatel/alcatelind1base.mib
+%%DATADIR%%/alcatel/alcatelind1ipv6.mib
+%%DATADIR%%/alcatel/alcatelind1drctm.mib
+%%DATADIR%%/alcatel/alcatel-ind1-mvrp-mib.mib
+%%DATADIR%%/alcatel/alcatelind1ospf3.mib
+%%DATADIR%%/alcatel/alcatelind1eservice.mib
+%%DATADIR%%/alcatel/alcatelind1iprmv6.mib
+%%DATADIR%%/alcatel/timetra-vrtr-mib.mib
+%%DATADIR%%/alcatel/timetra-mpls-mib.mib
+%%DATADIR%%/alcatel/alcatelind1macaddress.mib
+%%DATADIR%%/alcatel/alcatelind1configmgr.mib
+%%DATADIR%%/alcatel/alcatelind1aaa.mib
+%%DATADIR%%/alcatel/alcatelind1devices.mib
+%%DATADIR%%/alcatel/alcatelind1ripng.mib
+%%DATADIR%%/alcatel/alcatelind1ipsec.mib
+%%DATADIR%%/alcatel/alcatelind1ipmrm.mib
+%%DATADIR%%/alcatel/alcatelind1udprelay.mib
+%%DATADIR%%/alcatel/alcatelind1snmpagent.mib
+%%DATADIR%%/alcatel/alcatelind1webmgt.mib
+%%DATADIR%%/alcatel/alcatelind1ipmv.mib
+%%DATADIR%%/alcatel/alcatelind1udld.mib
+%%DATADIR%%/alcatel/alcatelind1stackmanager.mib
+%%DATADIR%%/alcatel/alcatel-ind1-saa-mib.mib
+%%DATADIR%%/alcatel/alcatelind1vrrp3.mib
+%%DATADIR%%/alcatel/alcatelind1rdp.mib
+%%DATADIR%%/alcatel/alcatelind1system.mib
+%%DATADIR%%/alcatel/alcatelind1routemap.mib
+%%DATADIR%%/alcatel/alcatelind1licensemanager.mib
+%%DATADIR%%/alcatel/alcatelind1dot1q.mib
+%%DATADIR%%/alcatel/timetra-oam-test-mib.mib
+%%DATADIR%%/alcatel/alcatelind1ipx.mib
+%%DATADIR%%/alcatel/timetra-port-mib.mib
+%%DATADIR%%/alcatel/.index
 %%DATADIR%%/apc/powernet.mib
 %%DATADIR%%/arista/ARISTA-MAU-MIB.txt
 %%DATADIR%%/arista/ARISTA-SW-IP-FORWARDING-MIB.txt
@@ -1438,6 +1530,48 @@
 %%DATADIR%%/d-link/syslog.mib
 %%DATADIR%%/d-link/time.mib
 %%DATADIR%%/d-link/timerange.mib
+%%DATADIR%%/d-link/nlb.mib
+%%DATADIR%%/d-link/protocolvlan.mib
+%%DATADIR%%/d-link/equipment.mib
+%%DATADIR%%/d-link/portsecurity.mib
+%%DATADIR%%/d-link/staticmacbasedvlan.mib
+%%DATADIR%%/d-link/filter.mib
+%%DATADIR%%/d-link/des3200-28f-l3mgmt.mib
+%%DATADIR%%/d-link/arpspoofingprevention.mib
+%%DATADIR%%/d-link/cfmextension.mib
+%%DATADIR%%/d-link/bpduprotection.mib
+%%DATADIR%%/d-link/ipv6staticroute.mib
+%%DATADIR%%/d-link/zonedefense.mib
+%%DATADIR%%/d-link/duld.mib
+%%DATADIR%%/d-link/qos.mib
+%%DATADIR%%/d-link/des3200me-28-led.mib
+%%DATADIR%%/d-link/l2protocoltunnel.mib
+%%DATADIR%%/d-link/des3200-18-l2mgmt.mib
+%%DATADIR%%/d-link/mcastfilter.mib
+%%DATADIR%%/d-link/mba.mib
+%%DATADIR%%/d-link/des3200-28-l3mgmt.mib
+%%DATADIR%%/d-link/mcastvlan.mib
+%%DATADIR%%/d-link/des3200-28f-l2mgmt.mib
+%%DATADIR%%/d-link/des3200-26-l2mgmt.mib
+%%DATADIR%%/d-link/des3200-28-l2mgmt.mib
+%%DATADIR%%/d-link/des3200-10-l2mgmt.mib
+%%DATADIR%%/d-link/sred.mib
+%%DATADIR%%/d-link/swprimgmt-des3200-mib.mib
+%%DATADIR%%/d-link/pppoemgmt.mib
+%%DATADIR%%/d-link/des3200-26-l3mgmt.mib
+%%DATADIR%%/d-link/mcastsnooping.mib
+%%DATADIR%%/d-link/des3200-10-l3mgmt.mib
+%%DATADIR%%/d-link/fs.mib
+%%DATADIR%%/d-link/des3200-18-l3mgmt.mib
+%%DATADIR%%/d-link/srcipif.mib
+%%DATADIR%%/d-link/ddm.mib
+%%DATADIR%%/d-link/erps.mib
+%%DATADIR%%/d-link/radiusaccounting.mib
+%%DATADIR%%/d-link/bpdutunnel.mib
+%%DATADIR%%/d-link/des3200me-28-l2mgmt.mib
+%%DATADIR%%/d-link/des3200me-28-l3mgmt.mib
+%%DATADIR%%/d-link/lbd.mib
+%%DATADIR%%/d-link/staticfdb.mib
 %%DATADIR%%/dell/trunk.mib
 %%DATADIR%%/dell/dell_ita.mib
 %%DATADIR%%/dell/rlaaa.mib
@@ -2904,44 +3038,45 @@
 %%DATADIR%%/xirrus/XIRRUS-MIB.txt
 %%DATADIR%%/mkindex
 %%DATADIR%%/mib_index.txt
-@dirrm %%DATADIR%%/3com
-@dirrm %%DATADIR%%/allied
-@dirrm %%DATADIR%%/apc
-@dirrm %%DATADIR%%/arista
-@dirrm %%DATADIR%%/aruba
-@dirrm %%DATADIR%%/asante
-@dirrm %%DATADIR%%/bluecoat
-@dirrm %%DATADIR%%/bluesocket
-@dirrm %%DATADIR%%/cabletron
-@dirrm %%DATADIR%%/checkpoint
-@dirrm %%DATADIR%%/cisco
-@dirrm %%DATADIR%%/citrix
-@dirrm %%DATADIR%%/colubris
-@dirrm %%DATADIR%%/cyclades
-@dirrm %%DATADIR%%/d-link
-@dirrm %%DATADIR%%/dell
-@dirrm %%DATADIR%%/enterasys
-@dirrm %%DATADIR%%/extreme
-@dirrm %%DATADIR%%/extricom
-@dirrm %%DATADIR%%/f5
-@dirrm %%DATADIR%%/force10
-@dirrm %%DATADIR%%/foundry
-@dirrm %%DATADIR%%/huawei
-@dirrm %%DATADIR%%/h3c
-@dirrm %%DATADIR%%/hp
-@dirrm %%DATADIR%%/juniper
-@dirrm %%DATADIR%%/lantronix
-@dirrm %%DATADIR%%/mikrotik
-@dirrm %%DATADIR%%/net-snmp
-@dirrm %%DATADIR%%/netgear
-@dirrm %%DATADIR%%/netscreen
-@dirrm %%DATADIR%%/nortel
-@dirrm %%DATADIR%%/packetfront
-@dirrm %%DATADIR%%/rad
-@dirrm %%DATADIR%%/rfc
-@dirrm %%DATADIR%%/riverbed
-@dirrm %%DATADIR%%/ruckus
-@dirrm %%DATADIR%%/sonicwall
-@dirrm %%DATADIR%%/trapeze
-@dirrm %%DATADIR%%/xirrus
-@dirrm %%DATADIR%%
+@dirrmtry %%DATADIR%%/3com
+@dirrmtry %%DATADIR%%/allied
+@dirrmtry %%DATADIR%%/alcatel
+@dirrmtry %%DATADIR%%/apc
+@dirrmtry %%DATADIR%%/arista
+@dirrmtry %%DATADIR%%/aruba
+@dirrmtry %%DATADIR%%/asante
+@dirrmtry %%DATADIR%%/bluecoat
+@dirrmtry %%DATADIR%%/bluesocket
+@dirrmtry %%DATADIR%%/cabletron
+@dirrmtry %%DATADIR%%/checkpoint
+@dirrmtry %%DATADIR%%/cisco
+@dirrmtry %%DATADIR%%/citrix
+@dirrmtry %%DATADIR%%/colubris
+@dirrmtry %%DATADIR%%/cyclades
+@dirrmtry %%DATADIR%%/d-link
+@dirrmtry %%DATADIR%%/dell
+@dirrmtry %%DATADIR%%/enterasys
+@dirrmtry %%DATADIR%%/extreme
+@dirrmtry %%DATADIR%%/extricom
+@dirrmtry %%DATADIR%%/f5
+@dirrmtry %%DATADIR%%/force10
+@dirrmtry %%DATADIR%%/foundry
+@dirrmtry %%DATADIR%%/huawei
+@dirrmtry %%DATADIR%%/h3c
+@dirrmtry %%DATADIR%%/hp
+@dirrmtry %%DATADIR%%/juniper
+@dirrmtry %%DATADIR%%/lantronix
+@dirrmtry %%DATADIR%%/mikrotik
+@dirrmtry %%DATADIR%%/net-snmp
+@dirrmtry %%DATADIR%%/netgear
+@dirrmtry %%DATADIR%%/netscreen
+@dirrmtry %%DATADIR%%/nortel
+@dirrmtry %%DATADIR%%/packetfront
+@dirrmtry %%DATADIR%%/rad
+@dirrmtry %%DATADIR%%/rfc
+@dirrmtry %%DATADIR%%/riverbed
+@dirrmtry %%DATADIR%%/ruckus
+@dirrmtry %%DATADIR%%/sonicwall
+@dirrmtry %%DATADIR%%/trapeze
+@dirrmtry %%DATADIR%%/xirrus
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"